import json
import argparse

# Set up argument parser
parser = argparse.ArgumentParser(description="Extract stdout content from JSON file.")
parser.add_argument("json_file", help="Path to the JSON file")

# Parse arguments
args = parser.parse_args()

# Load JSON file
with open(args.json_file, 'r') as f:
    data = json.load(f)

# Open log file in write mode
with open('log_file.txt', 'w') as log_file:
    # Navigate to the "stdout" field within the nested JSON structure
    stdout_content = data.get('sims', {}).get('dev.host.vortex', {}).get('stdout', [])

    # Write each line of stdout content to the log file
    for line in stdout_content:
        log_file.write(f"{line}\n")
