# Tests
# RTL simulation.

import os
import sys; sys.path.append('./tests/')
import simbricks.orchestration.experiments as exp
import simbricks.orchestration.simulators as sim

from swish_common import *

experiments = []

e = exp.Experiment(f'single_node')

# Create Host Server
server_config = SwishNode()
server_config.app = VKernelLaunch(os.getenv('TESTCASE'))
server_config.nockp = True

server = sim.Gem5Host(server_config)
server.name = 'host'
server.cpu_type = 'X86KvmCPU'
## Uncomment for Detailed Timing Simulation
#server.cpu_type = 'TimingSimpleCPU'
#server.cpu_freq = '1GHz'

# Create Vortex Accelerator
vortex = VortexSim()
vortex.name = 'vortex'
vortex.sync = False
server.add_pcidev(vortex)

# Build simulation environment
e.add_pcidev(vortex)
e.add_host(server)
server.wait = True

experiments.append(e)

